<?php
/*-------------------------------------------------------+
| Friendly Url's for PHP-Fusion v7
| Copyright (C) 2009 bartek124
| http://www.bartek124.net/
+--------------------------------------------------------+
| Filename: furl.forum_viewforum.php
| Author: bartek124
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

class forum_viewforum_Furl extends Furl {
	private function preparePaginationLinks() {
		preg_match_all("#href=\'viewthread\.php\?thread_id=([0-9]+)\'(.*?)>(.*?)</a>#si", $this->buffer, $threads, PREG_SET_ORDER);
		$threads_title = array();
		
		foreach ($threads as $thread) {
			$threads_title[$thread[1]] = $thread[3];
		}
		unset($threads, $thread);
		$this->buffer = preg_replace("#href=\'viewthread\.php\?thread_id=([0-9]+)&amp;rowstart=([0-9]+)\'>#sie", "'href=\'temat-\\1-'.parent::cleanUrl(\$threads_title[\"\\1\"]).'-od_posta-\\2.html\'>'", $this->buffer);
	}
	
	private function prepareForumIndexLinks() {
		$this->buffer = preg_replace("#href=\'index\.php\'#si", "href='index.html'", $this->buffer);
		$this->buffer = preg_replace("#href=\'viewthread\.php\?thread_id=([0-9]+)\'>([^<>]*)</a>#sie", "'href=\'temat-\\1-'.parent::cleanUrl(\"\\2\").'.html\'>\\2</a>'", $this->buffer);
		
		if (isset($_GET['titleforum'])) {
			$this->buffer = preg_replace("#href=\'post\.php\?action=newthread&amp;forum_id=([0-9]+)\'#si", "href='nowy_temat-\\1-".parent::cleanUrl($_GET['titleforum']).".html'", $this->buffer);
			$this->buffer = preg_replace("#href=\'viewforum\.php\?forum_id=([0-9]+)&amp;rowstart=([0-9]+)\'#si", "href='forum-\\1-".parent::cleanUrl($_GET['titleforum'])."-od_tematu-\\2.html'", $this->buffer);
		}
	}
	
	public function getBuffer() {
		$this->preparePaginationLinks();
		$this->prepareForumIndexLinks();
		return $this->buffer;
	}
}
?>