<?php
/*-------------------------------------------------------+
| Friendly Url's for PHP-Fusion v7
| Copyright (C) 2009 bartek124
| http://www.bartek124.net/
+--------------------------------------------------------+
| Filename: furl.news.php
| Author: bartek124
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

class news_Furl extends Furl {
	private function prepareExtraNewsLinks() {
		global $locale;
		preg_match_all("#<a name='news_([0-9]+)' id='news_[0-9]+'>#", $this->buffer, $news_ids);
		
		if (!empty($news_ids[1])) {
			$news_ids = implode(",", $news_ids[1]);
			$result = dbquery("SELECT news_id, news_subject FROM ".DB_NEWS." WHERE news_id IN (".$news_ids.")");
			
			while ($data = dbarray($result)) {
				$this->buffer = str_replace("<a href='news.php?readmore=".$data['news_id']."", "<a href='news-".$data['news_id']."-".parent::cleanUrl($data['news_subject']).".html", $this->buffer);
				$this->buffer = str_replace("<a href='print.php?type=N&amp;item_id=".$data['news_id']."'>", "<a href='drukuj_news-".$data['news_id']."-".parent::cleanUrl($data['news_subject']).".html'>", $this->buffer);
			}
		}
	}
	
	private function prepareNewsLinks() {
		$this->buffer = preg_replace("#href=\'news_cats\.php\?cat_id=([0-9]+)\'><img src=\'".IMAGES_NC."([^<>]*)\' alt=\'([^<>]*)\' class=\'news-category\' /></a>#sie", "'href=\'kategoria_newsow-\\1-'.parent::cleanUrl(\"\\3\").'.html\'><img src=\'".IMAGES_NC."\\2\' alt=\'\\3\' class=\'news-category\' /></a>'", $this->buffer);
		$this->buffer = preg_replace("#href=\'news\.php\?rowstart=([0-9]+)\'#si", "href='newsy_od-\\1.html'", $this->buffer);
		
		if (isset($_GET['titlenews'])) {
			$this->buffer = preg_replace("#href=\'news\.php\?readmore=([0-9]+)\#comments\'>([^<>]*)</a>#si", "href='news-\\1-".parent::cleanUrl($_GET['titlenews']).".html#comments'>\\2</a>", $this->buffer);
			$this->buffer = preg_replace("#href=\'print\.php\?type=N&amp;item_id=([0-9]+)\'>#si", "href='drukuj_news-\\1-".parent::cleanUrl($_GET['titlenews']).".html'>", $this->buffer);
		}
	}
	
	public function getBuffer() {
		if (!isset($_GET['readmore'])) {
			$this->prepareExtraNewsLinks();
		}
		$this->prepareNewsLinks();
		return $this->buffer;
	}
}
?>