<?php
/*-------------------------------------------------------+
| Friendly Url's for PHP-Fusion v7
| Copyright (C) 2009 bartek124
| http://www.bartek124.net/
+--------------------------------------------------------+
| Filename: furl.main.php
| Author: bartek124
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

class Furl {
	protected $buffer;
	public function __construct($buffer) {
		global $settings;
		$this->buffer = $buffer;
		$this->prepareMainLinks();
		add_to_head("<base href='".$settings['siteurl']."'>");
	}
	
	static public function cleanUrl($text) {
		if (empty($text)) {
			return "bez_nazwy";
		}
		$text = str_replace(array("ę", "ó", "ą", "ś", "ł", "ż", "ź", "ć", "ń", "Ę", "Ó", "Ą", "Ś", "Ł", "Ż", "Ź", "Ć", "Ń"), array("e", "o", "s", "l", "z", "z", "c", "E", "O", "A", "S", "L", "Z", "Z", "N"), $text);
		$text = str_replace(" ", "_", $text);
		$text = str_replace("-", "_", $text);
		$text = strtolower($text);
		$text = preg_replace("#[^_a-z0-9]#", "", $text);
		return $text;
	}
	
	private function prepareMainLinks() {
		$this->buffer = preg_replace("#href=\'".BASEDIR."profile\.php\?lookup=([0-9]+)\'([^<>]*)>([-0-9A-Z_@\s]+)</a>#sie", "'href=\'".BASEDIR."profil_uzytkownika-\\1-'.self::cleanUrl('\\3').'.html\'\\2>\\3</a>'", $this->buffer);
		$this->buffer = preg_replace("#href=\'".BASEDIR."lostpassword\.php\'#si", "href='".BASEDIR."zapomniane_haslo.html'", $this->buffer);
		$this->buffer = preg_replace("#href=\'".BASEDIR."register\.php\'#si", "href='".BASEDIR."rejestracja.html'", $this->buffer);
		$this->buffer = preg_replace("#href=\'".INFUSIONS."shoutbox_panel/shoutbox_archive\.php\'#si", "href='".BASEDIR."archiwum_shoutboksa.html'", $this->buffer);
	}
	
	public function getBuffer() {
		return $this->buffer;
	}
}
?>