<?php
/*-------------------------------------------------------+
| Friendly Url's for PHP-Fusion v7
| Copyright (C) 2009 bartek124
| http://www.bartek124.net/
+--------------------------------------------------------+
| Filename: furl.photogallery.php
| Author: bartek124
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

class photogallery_Furl extends Furl {
	private function preparePrevNextLinks() {
		global $locale;
		preg_match_all("#href=\'photogallery\.php\?photo_id=([0-9]+)\' title=\'(".$locale['451']."|".$locale['452'].")\'>(&lt;&lt;|&gt;&gt;)</a>#", $this->buffer, $matches);
		if (!empty($matches[1])) {
			$ids = implode(",", $matches[1]);
			$result = dbquery("SELECT photo_id, photo_title FROM ".DB_PHOTOS." WHERE photo_id IN (".$ids.")");
			
			$i = 0;
			while ($data = dbarray($result)) {
				if ($matches[3][$i] == "&lt;&lt;") {
					$this->buffer = str_replace("href='photogallery.php?photo_id=".$data['photo_id']."' title='".$locale['451']."'>&lt;&lt;</a>", "href='zdjecie-".$data['photo_id']."-".parent::cleanUrl($data['photo_title']).".html' title='".$locale['451']."'>&lt;&lt;</a>", $this->buffer);
				} else if ($matches[3][$i] == "&gt;&gt;") {
					$this->buffer = str_replace("href='photogallery.php?photo_id=".$data['photo_id']."' title='".$locale['452']."'>&gt;&gt;</a>", "href='zdjecie-".$data['photo_id']."-".parent::cleanUrl($data['photo_title']).".html' title='".$locale['452']."'>&gt;&gt;</a>", $this->buffer);
				}
				$i++;
			}
		}
	}
	
	private function preparePhotogalleryLinks() {
		global $locale;
		$this->buffer = preg_replace("#href=\'photogallery.php\'#si", "href='galeria_zdjec.html'", $this->buffer);
		$this->buffer = preg_replace("#href=\'photogallery.php\?rowstart=([0-9]+)\'#si", "href='galeria_zdjec_od_-\\1.html'", $this->buffer);
		$this->buffer = preg_replace("#<strong>([^<>]*)</strong><br /><br />\n<a href=\'photogallery\.php\?album_id=([0-9]+)\'>(.*?)</a>#sie", "'<strong>\\1</strong><br /><br /><a href=\'galeria_zdjec-\\2-'.parent::cleanUrl(\"\\1\").'.html\'>\\3</a>'", $this->buffer);
		$this->buffer = preg_replace("#href=\'photogallery\.php\?album_id=([0-9]+)\'>(.*?)</a>#sie", "'href=\'galeria_zdjec-\\1-'.parent::cleanUrl(\"\\2\").'.html\'>\\2</a>'", $this->buffer);
		$this->buffer = preg_replace("#<strong>([^<>]*)</strong><br /><br />\n<a href=\'photogallery\.php\?photo_id=([0-9]+)\' class=\'photogallery_album_photo_link\'><!--photogallery_album_photo_([0-9]+)--><img src=\'images/photoalbum/album_([0-9]+)/([-0-9A-Z_\.\[\]]+)(\.gif|\.jpg|\.jpeg|\.png)\' alt=\'([-0-9A-Z_\.\[\]]+)(\.gif|\.jpg|\.jpeg|\.png)' title=\'".$locale['431']."\' style=\'border:0px\' class=\'photogallery_album_photo\' /></a>#sie", "'<strong>\\1</strong><br /><br /><a href=\'zdjecie-\\2-'.parent::cleanUrl(\"\\1\").'.html\' class=\'photogallery_album_photo_link\'><!--photogallery_album_photo_\\3--><img src=\'images/photoalbum/album_\\4/\\5\\6\' alt=\'\\7\\8\' title=\'".$locale['431']."\' style=\'border:0px\' class=\'photogallery_album_photo\' /></a>'", $this->buffer);
		$this->buffer = preg_replace("#<strong>([^<>]*)</strong><br /><br />\n<a href=\'photogallery\.php\?photo_id=([0-9]+)\' class=\'photogallery_album_photo_link\'><!--photogallery_album_photo_([0-9]+)-->".$locale['432']."</a>#sie", "'<strong>\\1</strong><br /><br /><a href=\'zdjecie-\\2-'.parent::cleanUrl(\"\\1\").'.html\' class=\'photogallery_album_photo_link\'><!--photogallery_album_photo_\\3-->".$locale['432']."</a>'", $this->buffer);
		
		if (isset($_GET['titlealbum'])) {
			$this->buffer = preg_replace("#href=\'photogallery.php\?album_id=([0-9]+)&amp;rowstart=([0-9]+)\'#si", "href='galeria_zdjec-\\1-".parent::cleanUrl($_GET['titlealbum'])."-od_zdjecia-\\2.html'", $this->buffer);
		}
		
		if (isset($_GET['photo_id']) && isnum($_GET['photo_id'])) {
			$this->buffer = preg_replace("#href=\'photogallery\.php\?photo_id=([0-9]+)\'>([^<>]*)</a>#sie", "'href=\'zdjecie-\\1-'.parent::cleanUrl(\"\\2\").'.html\'>\\2</a>'", $this->buffer);
		}
	}
	
	public function getBuffer() {
		if (isset($_GET['photo_id']) && isnum($_GET['photo_id'])) {
			$this->preparePrevNextLinks();
		}
		$this->preparePhotogalleryLinks();
		return $this->buffer;
	}
}
?>